Microsoft.Build.Framework 2.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Property, AllowMultiple=false, Inherited=false)

If a property marked with this attribute is not assigned a value when the task is invoked, the build will fail.

For more information about using attributes, see Extending Metadata Using Attributes.

Defines the metadata attribute that task authors use to identify required task properties. Task properties with this attribute must have a set value when the task is run.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0